# 配置一个条件

条件和效果，以及变化、实体AI目标等一样，由 ID 和参数组成。

## 示例条件配置

```yaml
- id: has_permission
  args:
    permission: "ecomc.rank.mvp" # 需要的权限节点
    inverse: true # 是否反转条件，即不满足该条件的玩家视为符合条件
```

如示例配置所示，所有的条件都支持内置参数，如：

```yaml
- id: on_fire
  args:
    inverse: true
```

这是目前条件的唯一的参数，该参数代表反转条件，即不满足该条件的玩家视为符合条件。

如果是物品插件中的物品配置中的条件，则可以设置玩家未满足条件情况下增加的 Lore。

```yaml
- id: has_permission
  args:
    permission: "ecomc.rank.mvp"
    not-met-lines:
      - "&c你需要购买 &bMVP&c 等级以使用 &7水晶探索器"
      - "&c购买网址 &astore.ecomc.net"
```

## 未满足效果

如果你的条件是某个效果的条件，则可以为其设置未满足效果。

未满足效果是在玩家尝试执行条件所在的效果却不满足条件时执行。

在配置中，应该像这样：

```yaml
effects:
  - id: give_money
    args:
      amount: 100
    conditions:
      - id: has_permission
        args:
          permission: "ecomc.rank.mvp"
        not-met-effects:
          - id: send_message
            args:
              message: "&c你需要 &bMVP&c 等级才能使用 &7水晶探索器&c，购买网址 &astore.ecomc.net&c!"
    triggers:
      - break_block
```

在这个示例中，满足条件的玩家将会给予 100 金币，否则将会提示权限不足的消息。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/pei-zhi-yi-ge-tiao-jian.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
